rte_swx_port.h(3)

NAME
rte_swx_port.h

SYNOPSIS

#include <stdint.h>

  Data Structures

struct rte_swx_pkt
struct rte_swx_port_in_stats
struct rte_swx_port_in_ops
struct rte_swx_port_out_stats
struct rte_swx_port_out_ops

  Typedefs

typedef void *(* rte_swx_port_in_create_t) (void *args)
typedef void(* rte_swx_port_in_free_t) (void *port)
typedef int(* rte_swx_port_in_pkt_rx_t) (void *port, struct rte_swx_pkt *pkt)
typedef void(* rte_swx_port_in_stats_read_t) (void *port, struct rte_swx_port_in_stats *stats)
typedef void *(* rte_swx_port_out_create_t) (void *args)
typedef void(* rte_swx_port_out_free_t) (void *port)
typedef void(* rte_swx_port_out_pkt_tx_t) (void *port, struct rte_swx_pkt *pkt)
typedef void(* rte_swx_port_out_pkt_fast_clone_tx_t) (void *port, struct rte_swx_pkt *pkt)
typedef void(* rte_swx_port_out_pkt_clone_tx_t) (void *port, struct rte_swx_pkt *pkt, uint32_t truncation_length)
typedef void(* rte_swx_port_out_flush_t) (void *port)
typedef void(* rte_swx_port_out_stats_read_t) (void *port, struct rte_swx_port_out_stats *stats)

Detailed Description

RTE SWX Port

Packet I/O port interface.

Definition in file rte_swx_port.h.

Typedef Documentation

  typedef void *(* rte_swx_port_in_create_t) (void *args)
Input port create

Parameters
    args Arguments for input port creation. Format specific to each port type.

Returns
    Handle to input port instance on success, NULL on error.

Definition at line 43 of file rte_swx_port.h.

  typedef void(* rte_swx_port_in_free_t) (void *port)
Input port free

Parameters
    port Input port handle.

Definition at line 52 of file rte_swx_port.h.

  typedef int(* rte_swx_port_in_pkt_rx_t) (void *port, struct rte_swx_pkt *pkt)
Input port packet receive

Parameters
    port Input port handle.
    pkt Received packet. Only valid when the function returns 1. Must point to valid memory.

Returns
    0 when no packet was received, 1 when a packet was received. No other return values are allowed.

Definition at line 67 of file rte_swx_port.h.

  typedef void(* rte_swx_port_in_stats_read_t) (void *port, struct rte_swx_port_in_stats *stats)
Input port statistics counters read

Parameters
    port Input port handle.
    stats Input port statistics counters. Must point to valid memory.

Definition at line 91 of file rte_swx_port.h.

  typedef void *(* rte_swx_port_out_create_t) (void *args)
Output port create

Parameters
    args Arguments for output port creation. Format specific to each port type.

Returns
    Handle to output port instance on success, NULL on error.

Definition at line 122 of file rte_swx_port.h.

  typedef void(* rte_swx_port_out_free_t) (void *port)
Output port free

Parameters
    port Output port handle.

Definition at line 131 of file rte_swx_port.h.

  typedef void(* rte_swx_port_out_pkt_tx_t) (void *port, struct rte_swx_pkt *pkt)
Output port packet transmit

Parameters
    port Output port handle.
    pkt Packet to be transmitted.

Definition at line 142 of file rte_swx_port.h.

  typedef void(* rte_swx_port_out_pkt_fast_clone_tx_t) (void *port, struct rte_swx_pkt *pkt)
Output port packet fast clone and transmit

Parameters
    port Output port handle.
    pkt Packet to be transmitted.

Definition at line 154 of file rte_swx_port.h.

  typedef void(* rte_swx_port_out_pkt_clone_tx_t) (void *port, struct rte_swx_pkt *pkt, uint32_t truncation_length)
Output port packet clone and transmit

Parameters
    port Output port handle.
    pkt Packet to be transmitted.
    truncation_length Packet length to be cloned.

Definition at line 168 of file rte_swx_port.h.

  typedef void(* rte_swx_port_out_flush_t) (void *port)
Output port flush

Parameters
    port Output port handle.

Definition at line 179 of file rte_swx_port.h.

  typedef void(* rte_swx_port_out_stats_read_t) (void *port, struct rte_swx_port_out_stats *stats)
Output port statistics counters read

Parameters
    port Output port handle.
    stats Output port statistics counters. Must point to valid memory.

Definition at line 211 of file rte_swx_port.h.

Author

Generated automatically by Doxygen for DPDK from the source code.